aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--x11/libXxf86misc/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/x11/libXxf86misc/APKBUILD b/x11/libXxf86misc/APKBUILD
new file mode 100644
index 0000000000..7fa0d619aa
--- /dev/null
+++ b/x11/libXxf86misc/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libXxf86misc
+pkgver=1.0.1
+pkgrel=0
+pkgdesc="X11 XFree86 miscellaneous extension library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="libXext libX11 uclibc"
+makedepends="pkgconfig libXext-dev libX11-dev xf86miscproto"
+source="http://xorg.freedesktop.org/releases/individual/lib/libXxf86misc-$pkgver.tar.bz2"
+depends_dev="xf86miscproto libX11-dev libXext-dev"
+
+build() {
+ cd "$srcdir"/libXxf86misc-$pkgver
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="7cee0df63903cef7f7a3fb68cdd99eef libXxf86misc-1.0.1.tar.bz2"